Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
problema nell'installare wpa_supplicant
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
matteo.pata
n00b
n00b


Joined: 21 Mar 2007
Posts: 49
Location: Varese

PostPosted: Wed Jan 23, 2008 7:58 pm    Post subject: problema nell'installare wpa_supplicant Reply with quote

Ciao ragazzi volevo passare a wpa_supplicant in quanto in uni hanno un access point con chiave WPa....quando lancio l'emerge di wpa_supplicant mi da questo errore cosa posso fare??Se non ho capito male è un errore di use flag sulle librerie X11.Però non riesco a capire come faccio e ricompilarle togliendo delle use Flag??Ciao e grazie a tutti.

Code:
Note_Matteo matteo # emerge net-wireless/wpa_supplicant
Calculating dependencies... done!

>>> Emerging (1 of 1) net-wireless/wpa_supplicant-0.5.7 to /
 * wpa_supplicant-0.5.7.tar.gz MD5 ;-) ...                                    [ ok ]
 * wpa_supplicant-0.5.7.tar.gz RMD160 ;-) ...                                 [ ok ]
 * wpa_supplicant-0.5.7.tar.gz SHA1 ;-) ...                                   [ ok ]
 * wpa_supplicant-0.5.7.tar.gz SHA256 ;-) ...                                 [ ok ]
 * wpa_supplicant-0.5.7.tar.gz size ;-) ...                                   [ ok ]
 * checking ebuild checksums ;-) ...                                          [ ok ]
 * checking auxfile checksums ;-) ...                                         [ ok ]
 * checking miscfile checksums ;-) ...                                        [ ok ]
 * checking wpa_supplicant-0.5.7.tar.gz ;-) ...                               [ ok ]
 * You have USE="qt3 qt4" selected, defaulting to USE="qt4"
 * >=qt4.2.2 requires qt3support

!!! ERROR: net-wireless/wpa_supplicant-0.5.7 failed.
Call stack:
  ebuild.sh, line 1630:   Called dyn_setup
  ebuild.sh, line 702:   Called qa_call 'pkg_setup'
  ebuild.sh, line 38:   Called pkg_setup
  wpa_supplicant-0.5.7.ebuild, line 39:   Called die

!!! rebuild >=x11-libs/qt-4.2.2 with the qt3support USE flag
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/net-wireless/wpa_supplicant-0.5.7/temp/build.log'.
Back to top
View user's profile Send private message
Tigerwalk
Guru
Guru


Joined: 15 May 2007
Posts: 475
Location: Napoli

PostPosted: Wed Jan 23, 2008 8:09 pm    Post subject: Reply with quote

Quote:
!!! rebuild >=x11-libs/qt-4.2.2 with the qt3support USE flag

ti chiede di ricompilare quel pacchetto con la USE qt3 abilitata
puoi aggiungerla al file /etc/portage/package.use
Code:
echo ">=x11-libs/qt-4.2.2 qt3" >> /etc/portage/package.use

e quindi ricompilare il pacchetto
_________________
Linux user N°447789
Carpe diem (quam minimum credula postero) -Orazio (I,11)
Back to top
View user's profile Send private message
crisandbea
Veteran
Veteran


Joined: 03 Jul 2005
Posts: 1778
Location: BOSCO (SA) ... ma domiciliato a Bologna....

PostPosted: Wed Jan 23, 2008 9:53 pm    Post subject: Reply with quote

Tigerwalk wrote:
Quote:
!!! rebuild >=x11-libs/qt-4.2.2 with the qt3support USE flag

ti chiede di ricompilare quel pacchetto con la USE qt3 abilitata
puoi aggiungerla al file /etc/portage/package.use
Code:
echo ">=x11-libs/qt-4.2.2 qt3" >> /etc/portage/package.use

e quindi ricompilare il pacchetto


più precisamente è :
Code:
echo "x11-libs/qt qt3support" >> /etc/portage/package.use    && emerge -1 x11-libs/qt
dopo di che riemergi wpa_supplicant.

ciauz[/code]
Back to top
View user's profile Send private message
Tigerwalk
Guru
Guru


Joined: 15 May 2007
Posts: 475
Location: Napoli

PostPosted: Wed Jan 23, 2008 9:56 pm    Post subject: Reply with quote

chiedo scusa... mi è "partito" un support....
_________________
Linux user N°447789
Carpe diem (quam minimum credula postero) -Orazio (I,11)
Back to top
View user's profile Send private message
crisandbea
Veteran
Veteran


Joined: 03 Jul 2005
Posts: 1778
Location: BOSCO (SA) ... ma domiciliato a Bologna....

PostPosted: Wed Jan 23, 2008 10:00 pm    Post subject: Reply with quote

Tigerwalk wrote:
chiedo scusa... mi è "partito" un support....


tranquillo , me ne sono accorto che ho guardato sul mio pc, :lol: :wink:
Back to top
View user's profile Send private message
matteo.pata
n00b
n00b


Joined: 21 Mar 2007
Posts: 49
Location: Varese

PostPosted: Wed Jan 23, 2008 10:37 pm    Post subject: Reply with quote

Grazie ragazzi.....siete i migliori!!!! :wink: :wink:
Back to top
View user's profile Send private message
MeMyselfAndI
l33t
l33t


Joined: 15 Nov 2005
Posts: 784
Location: Between the monitor and the chair

PostPosted: Thu Jan 24, 2008 12:40 am    Post subject: Reply with quote

ma perche' compilare wpa_supplicant con il supporto alle qt4 quando potevi benissimo usare le qt3 disabilitando la USE qt4 per quel pacchetto ? le USE son si comode ma bisognerebbe capire cosa si sta facendo oltre che usarle.

Per la mia modesta opinione non ha senso tenersi le qt4 al momento se non per fare qualche test.
Anche perche' compilarle per avere semplicemente la GUI di un programma che magari nemmeno vai a utilizzare mi sembra proprio una perdita di tempo.

Sia chiaro che puoi fare quello che vuoi sul tuo computer, il mio era solo un consiglio per farti ragionare un poco.

Spero non ti dia fastidio.

Ciao
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum